<?php
/*+***********************************************************************************
 * The contents of this file are subject to the vtiger CRM Public License Version 1.0
 * ("License"); You may not use this file except in compliance with the License
 * The Original Code is:  vtiger CRM Open Source
 * The Initial Developer of the Original Code is vtiger.
 * Portions created by vtiger are Copyright (C) vtiger.
 * All Rights Reserved.
 *************************************************************************************/

class Products_getProductInfo_Action extends Vtiger_IndexAjax_View {

	public function requiresPermission(\Vtiger_Request $request) {
		$permissions = parent::requiresPermission($request);
		$permissions[] = array('module_parameter' => 'module', 'action' => 'DetailView');
		return $permissions;
	}

	public function process(Vtiger_Request $request) {
		global $adb, $current_customer, $current_user;
		
		$idProduct = $request->get("recordId");
		$data = Vtiger_Record_Model::getInstanceById($idProduct,"Products")->getData();

	    $response = new Vtiger_Response();
		$response->setResult(array('success'=>true, 'data'=> $data));
		$response->emit();
	}
}
